# Created by pyp2rpm-3.3.2
%global pypi_name should

Name:           python-%{pypi_name}
Version:        0.5.4
Release:        1%{?dist}
Summary:        Python version of the should assert library, borrows from pyshould

License:        MIT
URL:            https://github.com/Ralph-Wang/should
Source0:        https://github.com/Ralph-Wang/should/archive/v0.5.4.zip
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-nose

%description
should

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python version of the should assert library which borrows from pyshould.
Should is intended as a readable, expressive DSL allowing expectations or
assertions to be written in almost natural language.
Its primary use case is in unit testing, replacing the need for Python's native assertX methods.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
#README.md contains the LICENSE text upstream, split this up
awk '/^## License/ {++count; file="LICENSE.md"; print file} file {print line > file} {line=$0}' README.md
sed -i '/## License[^.]*$/,+30 g' README.md

%build
%py3_build

%install
%py3_install

%check
make test
#ls tests/*.py|xargs -n 1 -P 3 %{__python3}

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE.md
%{python3_sitelib}/%{pypi_name}*

%changelog
* Fri Nov 01 2019 David McCheyne <davidmccheyne@gmail.com> - 0.5.4-1
- Initial package.
